[1.5-2.5] Bảo Vệ Thư Mục Administrator Với Ksecure

Thảo luận trong 'Bảo mật Joomla' bắt đầu bởi VJL, 6/6/12.

  1. VJL

    VJL Be like no others ... Staff Member

    Bài viết:
    501
    Likes :
    303
    kSecure là 1 Plugin giúp bảo vệ thư mục Administrator
    Plugin này có thể dùng Trên Joomla 1.5 và 2.5
    Hướng dẫn:
    Sau khi cài đặt như bình thường, các bạn vào Plugin Manager kích hoạt System - kareebu Secure nhé.
    Vào System - kareebu Secure để cấu hình
    Plugin Parameters bên tay phải nhớ chọn Enable: Yes (Mặc định là NO)
    [​IMG]
    Password: Điền pass bảo mật thư mục Administrator, ví dụ tôi điền: hoanghai

    Mode : Ta có 2 lựa chọn
    1 - HTTP Authentication: Khi vào admin ví dụ: http://joomlaviet.vn/administrator nó sẽ hiện lên 1 khung hỏi đăng nhập
    Các bạn đăng nhập user: là user của admin, pass là pass ô phía trên trong ví dụ này là : hoanghai

    2 -Compatibility : Khi vào admin sẽ có dạng http://joomlaviet.vn/administrator/?Password ở ví dụ trên là http://joomlaviet.vn/administrator/?hoanghai thì nó mới vào admin và tiếp tục đăng nhập đc, nếu không nhập đúng ?Password nó sẽ tự load về trang chủ.
    Download: http://extensions.joomla.org/extensions/access-a-security/site-security/login-protection/12271
     
    Last edited by a moderator: 3/4/14
  2. Lilibang

    Lilibang Mới tham gia

    Bài viết:
    11
    Likes :
    0
    của e joomla 1.5.15 mà sao ko up lên dk các anh ơi
     
  3. joomla

    joomla OMG Staff Member

    Bài viết:
    1,070
    Likes :
    2,266
    Mình đã cài cho joomla 1.5.26 và hoàn toàn bình thường.
    Phiên bản 1.5.15 đã cũ rồi bạn cần nâng cấp lên phiên bản joomla 1.5.26 mới nhất hiện nay, vì bản của bạn có nguy cơ bảo mật rất cao, rất dễ bị hack và đã được cảnh báo.*excited*
     
  4. Lilibang

    Lilibang Mới tham gia

    Bài viết:
    11
    Likes :
    0
    a hướng dẫn e nâng cấp lên với dk ko
     
  5. joomla

    joomla OMG Staff Member

    Bài viết:
    1,070
    Likes :
    2,266
    tải bộ joomla 1.5.26 về dùng FTP up đè lên là xong
     
  6. Lilibang

    Lilibang Mới tham gia

    Bài viết:
    11
    Likes :
    0
    thế dữ liệu có mất ko a
     
  7. joomla

    joomla OMG Staff Member

    Bài viết:
    1,070
    Likes :
    2,266
    về cơ bản là ko mất, xong bạn cần backup trước khi thực hiện update
     
  8. Lilibang

    Lilibang Mới tham gia

    Bài viết:
    11
    Likes :
    0
    dạ ,e thank a ,để e thử
     
  9. TomyTran

    TomyTran Marketing & Founder Staff Member

    Bài viết:
    1,073
    Likes :
    666
    Dùng tiếng Anh rồi thấy nhiều lúc dùng tiếng Việt thấy không trong sáng lắm, ví dụ như từ trên thì mặc dù vẫn hiểu nhưng chính xác có lẽ phải là: nguy cơ bị hack rất cao hoặc độ bảo mật rất thấp. :D
     
  10. Trần Xuân Thành

    Trần Xuân Thành Rất nhiệt tình

    Bài viết:
    129
    Likes :
    72
    Anh Tomytran cho em hỏi tí nhe để nhận diện 1 template tốt cần có yếu tố gì hả anh, mấy lần trước em up web lên mạng bị mấy anh nào phá hoài do em mới tập làm nên còn hơi yêu về bảo mật giờ đây em mới tìm được template mới up lên thôi để chạy thử thôi. chưa up bài, nếu anh biết test template test dùm em với nhe lapdatfpt.net
     
  11. huythun

    huythun Rất tích cực

    Bài viết:
    32
    Likes :
    4
    hay nhanh gọn tiện lợi:75.jpg:
     
  12. huythun

    huythun Rất tích cực

    Bài viết:
    32
    Likes :
    4
    sặc
    dùng Compatibility thì nó error như vậy nè....làm sao đây bây giờ vào administrator ko dc rồi....hài vãi*Rage*
    Illegal variable _files or _env or _get or _post or _cookie or _server or _session or globals passed to script.
     
  13. TomyTran

    TomyTran Marketing & Founder Staff Member

    Bài viết:
    1,073
    Likes :
    666
    Cái này mình không biết trả lời thế nào là đúng, bộ code đem lại độ an toàn, template chủ yếu dàn trang còn nếu temp lôi cả com, mod ra mà customize theo ý rồi sinh bug thì ko thể đảm bảo an toàn được. Ngoài ra, có khi site của bạn lại bị hack qua các extension cài thêm thì sao? Mọi người cùng ném đá chủ đề này xem.
     
  14. joomla

    joomla OMG Staff Member

    Bài viết:
    1,070
    Likes :
    2,266
    Mình cài trên joomla1.5 và 2.5 đều OK không lỗi gì, vấn đề của bạn mình không thấy có gì hài hước ở đây cả
     
  15. Trần Xuân Thành

    Trần Xuân Thành Rất nhiệt tình

    Bài viết:
    129
    Likes :
    72
    thank
     
  16. Trần Xuân Thành

    Trần Xuân Thành Rất nhiệt tình

    Bài viết:
    129
    Likes :
    72
    Chắc Lỗi do em còn yếu chả hiểu gì cả, vừa rồi em test bên hosting đưa cho em 2 dns cấu hình cả hai web hay đứng hoài em dùng pingdom.com test thấy 1 hosting chứa 1 trang web khác em bỏ dns đó giờ nó chạy cũng ổn rồi. Cám ơn anh đã trả lời.
     
    yeu_joomla thích bài này.
  17. luuhuyquang

    luuhuyquang Mới tham gia

    Bài viết:
    2
    Likes :
    0
    Dùng Compatibility thì nó error như vậy nè....làm sao đây bây giờ vào administrator ko dc *Rage*

    Illegal variable_filesor_envor_getor_postor_cookieor_serveror_sessionorglobalspassed to script.
     
  18. nguyen minh hoang

    nguyen minh hoang Mới tham gia

    Bài viết:
    3
    Likes :
    0
    Illegal variable_filesor_envor_getor_postor_cookieor_serveror_sessionorglobalspassed to script. là sao anh ơi
     
  19. joomla

    joomla OMG Staff Member

    Bài viết:
    1,070
    Likes :
    2,266
    Chia buồn do host bạn thôi , mình đã cài 5,6 cái web từ 1.5 tới 2.5 đều có đều ngon lành ko có lỗi gì
     
  20. truonglychoi

    truonglychoi Rất nhiệt tình

    Bài viết:
    241
    Likes :
    85
    yeu_joomla thích bài này.
comments powered by Disqus

Chia sẻ trang này